Name: gnome-desktop
Version: 2.2.0.1
Release: alt1

Summary: The gnome desktop programs for the GNOME GUI desktop environment
License: LGPL
Group: Graphical desktop/GNOME
Url: ftp://ftp.gnome.org

Source: %name-%version.tar.bz2
Source1: gnome-about.png
Icon: gnome-desktop-icon.xpm

%define gtk_ver 2.2.1
%define libgnomeui_ver 2.2.0.1-alt2
%define gnome_vfs_ver 2.2.0
%define libgnomecanvas_ver 2.2.0.1
%define yelp_ver 2.2.0
%define startup_notification_ver 0.5

Requires: lib%name = %version-%release
Requires: libgtk+2 >= %gtk_ver
Requires: libgnomeui >= %libgnomeui_ver
Requires: gnome-vfs2 >= %gnome_vfs_ver
Requires: libgnomecanvas >= %libgnomecanvas_ver
Requires: libstartup-notification >= %startup_notification_ver
Requires: yelp >= %yelp_ver
Requires: menu gnome2-user-docs

BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: gnome-vfs2-devel >= %gnome_vfs_ver
BuildPreReq: libgnomecanvas-devel >= %libgnomecanvas_ver
BuildPreReq: libstartup-notification-devel >= %startup_notification_ver

Conflicts: gnome-core

# Automatically added by buildreq on Tue Feb 04 2003
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs bonobo-activation-devel esound-devel fontconfig freetype2 glib2-devel glibc-devel-static gnome-vfs2-devel libGConf2-devel libXft libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libexpat libgnome-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libjpeg-devel liblinc-devel libpango-devel libpopt-devel libssl-devel libstartup-notification-devel libxml2-devel libxslt pkgconfig scrollkeeper zlib-devel

%description
GNOME (GNU Network Object Model Environment) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  GNOME is similar in purpose and
scope to CDE and KDE, but GNOME is based completely on free
software.  The %name package includes the basic programs and
libraries that are needed to install GNOME.

GNOME Desktop provides the core icons and libraries for the gnome
desktop.

%package -n lib%name
Summary: GNOME desktop core libraries
Group: Graphical desktop/GNOME

Icon: gnome-desktop-icon-l.xpm

Requires: libgtk+2 >= %gtk_ver
Requires: libgnomeui >= %libgnomeui_ver
Requires: gnome-vfs2 >= %gnome_vfs_ver
Requires: libgnomecanvas >= %libgnomecanvas_ver

%description -n lib%name
Gnome 2 desktop libraries.

%package -n lib%name-devel
Summary: GNOME desktop develop libraries and includes
Group: Development/GNOME and GTK+

Icon: gnome-desktop-icon-d.xpm

Requires: lib%name = %version-%release
Requires: libgtk+2-devel >= %gtk_ver
Requires: libgnomeui-devel >= %libgnomeui_ver
Requires: gnome-vfs2-devel >= %gnome_vfs_ver
Requires: libgnomecanvas-devel >= %libgnomecanvas_ver
Requires: libstartup-notification-devel >= %startup_notification_ver

%description -n lib%name-devel
Gnome 2 desktop libraries and header files for creating GNOME panels.

%package -n lib%name-devel-static
Summary: GNOME desktop develop libraries and includes
Group: Development/GNOME and GTK+
Requires: lib%name-devel = %version-%release

Icon: gnome-desktop-icon-ds.xpm

%description -n lib%name-devel-static
Gnome 2 desktop static libraries for creating GNOME panels.

%prep
%setup -q
%__subst 's,\(^GNOME_VENDOR=\).*$,\1"%vendor",' configure
%__subst 's,\(^GNOME_DATE=\).*$,\1"`date +%B" "%e" "%Y"\, "Moscow`",' configure

%build
%configure
%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# Menu
%__install -p -m644 %SOURCE1 %buildroot/%_datadir/pixmaps/
%__mkdir_p %buildroot/%_menudir

%__cat << __MENU__ > %buildroot/%_menudir/%name
?package(%name): command="%_bindir/gnome-about" \
icon="%_datadir/pixmaps/gnome-about.png" \
longtitle="About Gnome desktop" title="About Gnome" \
needs="gnome" section="Documentation"
__MENU__

%__mkdir_p %buildroot%_datadir/gnome/distribution-menus/ALTLinux
%__mkdir_p %buildroot%_datadir/applications

%find_lang %name-2.0

%post
%update_menus
%postun
%clean_menus

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %post_ldconfig

%files
%_bindir/*
%dir %_datadir/applications
%dir %_datadir/gnome
%dir %_datadir/gnome/help
%_datadir/gnome/help/*
%dir %_datadir/gnome/distribution-menus
%_datadir/gnome/distribution-menus/*
%dir %_datadir/gnome/vfolders
%_datadir/gnome/vfolders/*
%_datadir/gnome-about
%_datadir/pixmaps/*
%_menudir/*
%_man1dir/*
%doc AUTHORS ChangeLog NEWS README

%files -n lib%name -f %name-2.0.lang
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/*.la
%_libdir/*.so
%_libdir/pkgconfig/*

%files -n lib%name-devel-static
%_libdir/*.a

%changelog
* Tue Feb 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.1-alt1
- 2.2.0.1

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Jan 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.90-alt1
- 2.1.90

* Tue Dec 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Tue Dec 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Thu Nov 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Mon Nov 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Fri Oct 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1
- 2.1.0

* Fri Sep 27 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.8-alt2
- yelp and gnome2-user-docs added to requires list.

* Wed Sep 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.8-alt1
- 2.0.8

* Thu Jun 20 2002 Igor Androsov <blake@altlinux.ru> 2.0.1-alt1
- Initial build for AltLinux
  (aris)
    + %name-devel{,-static} renamed to lib%name-devel{,-static}.
    + post{,un} sections fixed.
    + build process fixed (SMP compatible build).
- Fixes from Yuri Sedunov <aris@altlinux.ru>
    + sawfish2 added to requires list
    + replace command by macros
    + cleaup spec

* Tue Mar 05 2002 Chris Chabot <chabotc@reviewboard.com>
- Fixed remaining formating issues
- converted to .spec.in

* Sun Feb 15 2002 Chris Chabot <chabotc@reviewboard.com>
- initial spec file for gnome-desktop
